3PAR driver's terminate_connection issue

Bug #1190056 reported by Walt Boring on 2013-06-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
Viraj Hardikar

Bug Description

When doing a copy volume to image we get an exception because the 3PAR drivers don't default the third parameter to terminate_connection() method.

2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp Traceback (most recent call last):
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/rpc/amqp.py", line 433, in _process_data
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp **args)
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/rpc/dispatcher.py", line 148, in dispatch
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp return getattr(proxyobj, method)(ctxt, **kwargs)
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/manager.py", line 647, in copy_volume_to_image
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp payload['message'] = unicode(error)
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/contextlib.py", line 24, in __exit__
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp self.gen.next()
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/manager.py", line 642, in copy_volume_to_image
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp image_meta)
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/driver.py", line 418, in copy_volume_to_image
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp self.terminate_connection(volume, connector)
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/lockutils.py", line 232, in inner
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp retval = f(*args, **kwargs)
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp TypeError: terminate_connection() takes exactly 4 arguments (3 given)
2013-06-10 14:52:31.806 TRACE cinder.openstack.common.rpc.amqp

Changed in cinder:
assignee: nobody → Walt Boring (walter-boring)
Changed in cinder:
assignee: Walt Boring (walter-boring) → Viraj Hardikar (viraj-hardikar-n)
Changed in cinder:
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/32757

Changed in cinder:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/32757
Committed: http://github.com/openstack/cinder/commit/9dc141a54f54414d3f3e7b52b9c7d5c0050efa81
Submitter: Jenkins
Branch: master

commit 9dc141a54f54414d3f3e7b52b9c7d5c0050efa81
Author: Viraj Hardikar <email address hidden>
Date: Wed Jun 12 10:34:26 2013 -0700

    Fixes 3PAR drivers terminate_connection issue.

    3PAR drivers now default the third parameter when terminate_connection
    is called after copying a volume to image.
    Fixes: bug #1190056

    Change-Id: Icadacc9e083c6e97a919857d735ec16068d0f0c6

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-07-17
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-2 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers